/*
 * Copyright (C) 1999 Silicon Graphics, Inc.  All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance
 * with the express provisions of the GNU General Public License.  Patent
 * licenses, if any, provided herein do not apply to combinations of this
 * program with other product or programs, or any other product whatsoever.
 * This program is distributed without any warranty that the program is
 * delivered free of the rightful claim of any third person by way of
 * infringement or the like.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 */

#ifndef	MSC_SERVICES_H
#define	MSC_SERVICES_H

#include <stdio.h>
#include "node.h"

class MSCservices : public NodeServices {
public:
	MSCservices()		{ /* BOGUS!!!! */		}
	MSCservices(Node *p)	{ parent = p;			}
	char	*typeName()	{ return("MSC Node Services");	}

	void doNodeConfigure(InputEntryProc func,char *nid,char *dev,char * /*pw*/,
			     char *addr) {
		sprintf(msgPacket,"msc:CONFIGURATION:%s:%s:%s:",nid,dev,
			(addr && *addr != '\0') ? addr : "NONE");
		sendMsg(msgPacket,TRUE,func,(gpointer) parent);
		if (addr != NULL) {
			sprintf(msgPacket,"nexxus:set_var:%s:ip_address:%s:",
				nid,addr);
			sendMsg(msgPacket,TRUE,NULL,(gpointer) parent);
		}
		doConsoleConfigure(NULL,NULL);
	}
	void doMachineStatus(InputEntryProc func) {
		sprintf(msgPacket,"msc:CHASSIS_STATUS:%s:",parent->name);
		if (parent->connection->handle != NULL) {
			(void) sendMsg(msgPacket,TRUE,func,(gpointer) parent);
		}
	}
	void doNodeInventory(InputEntryProc func) {
		sprintf(msgPacket,"msc:NODE_INV_INFO:%s:",parent->name);
		(void) sendMsg(msgPacket,TRUE,func,(gpointer) parent);
	}
        void doNodeInquiry(InputEntryProc func) {
		sprintf(msgPacket,"msc:INQUIRY:%s:",parent->name);
		(void) sendMsg(msgPacket,TRUE,func,(gpointer) parent);
        }
	void getSENThresholds(char *sensor,gpointer panel,InputEntryProc func) {
		sprintf(msgPacket,"msc:GET_SENSOR_THRESHOLDS:%s:%s:",parent->name,sensor);
                (void) sendMsg(msgPacket,FALSE,func,panel);
	}
	void doSENLogging(gpointer panel,InputEntryProc func) {
		sprintf(msgPacket,"msc:GET_SENSOR_LIST:%s:",parent->name);
		if (parent->connection->handle != NULL) {
			(void) sendMsg(msgPacket,TRUE,func,panel);
		}
		/*
		 *	NEED SENSOR LOG TAILING HERE!!!!!
		 */
	}
	void doSELLogging(gpointer panel,InputEntryProc func) {
		sprintf(msgPacket,"msc:DOWNLOAD_LOG:%s:",parent->name);
		if (parent->connection->handle != NULL) {
			(void) sendMsg(msgPacket,TRUE,func,panel);
		}
		sprintf(msgPacket,"msc:LOG_TAIL:%s:ON:",parent->name);
		(void) sendMsg(msgPacket,FALSE,func,panel);
	}
	void doReset()	{ 
		sprintf(msgPacket,"msc:HARD_RESET:%s:",parent->name);
                sendMsg(msgPacket,TRUE,(InputEntryProc) NULL,(gpointer) parent);
		parent->checkState = CHECK_HYPERACTIVE;	// watch it more closely
	}
	void doPowerUp()	{ 
		sprintf(msgPacket,"msc:POWER_ON:%s:",parent->name);
                sendMsg(msgPacket,TRUE,(InputEntryProc) NULL,(gpointer) parent);
		parent->checkState = CHECK_HYPERACTIVE;	// watch it more closely
	}
	void doPowerDown()	{ 
		sprintf(msgPacket,"msc:POWER_OFF:%s:",parent->name);
                sendMsg(msgPacket,TRUE,(InputEntryProc) NULL,(gpointer) parent);
		parent->checkState = CHECK_HYPERACTIVE;	// watch it more closely
	}
	void doStimulateSELEntry(int n) {
		sendMsg("msc:STIMULATE_SEL_ENTRY:",TRUE,(InputEntryProc) NULL,(gpointer) n);
	}
	void doSetNodeType() {
		sprintf(msgPacket,"NEXXUS:SET_VAR:%s:MSC:",parent->name);
		sendMsg(msgPacket,FALSE,NULL,NULL);
	}
        void doConsoleConfigure(gpointer panel,InputEntryProc func) {
		sprintf(msgPacket,"SERCON:CONFIGURATION:%s:%s:NONE:NONE:9600:",parent->name,parent->console);
		sendMsg(msgPacket,FALSE,func,panel);
	}
        void doConsoleActivate(gpointer panel,InputEntryProc func) {
		sprintf(msgPacket,"SERCON:CONNECT:%s:RW:",parent->name);
		sendMsg(msgPacket,FALSE,func,panel);
        }
	void doConsoleSteal(gpointer panel,InputEntryProc func) {
		sprintf(msgPacket,"SERCON:STEAL_CONNECTION:%s:RW:",parent->name);
		sendMsg(msgPacket,FALSE,func,panel);
	}
	void doConsoleDisconnect() {
		sprintf(msgPacket,"SERCON:DISCONNECT:%s:0:",parent->name);
		sendMsg(msgPacket,FALSE,NULL,NULL);
	}
        void doConsoleAlerts(gpointer panel,InputEntryProc func) {
		sprintf(msgPacket,"SERCON:DUMP_ALERT_LIST:%s:",parent->name);
		sendMsg(msgPacket,TRUE,func,panel);
        }

	void handleInventoryMessage(InputEntry *entry);
	void handleInquiryMessage(InputEntry *entry);

        void doConsoleInquiry(InputEntryProc func) {
		sprintf(msgPacket,"sercon:INQUIRY:%s:",parent->name);
		(void) sendMsg(msgPacket,TRUE,func,(gpointer) parent);
        }
};

#endif	/*MSC_SERVICES_H*/
