/*
 * Copyright (C) 1999 Silicon Graphics, Inc.  All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance
 * with the express provisions of the GNU General Public License.  Patent
 * licenses, if any, provided herein do not apply to combinations of this
 * program with other product or programs, or any other product whatsoever.
 * This program is distributed without any warranty that the program is
 * delivered free of the rightful claim of any third person by way of
 * infringement or the like.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 */

#ifndef	VASHPANEL_H
#define	VASHPANEL_H
#include <gtk/gtk.h>
#include "libgessie/Panel.h"

class VashPanel: public Panel {
private:
	int	insertPoint;
	GtkWidget	*vbar;
public:
	char	buf[4096];
	int	buflen;		// current length of buffer
	int	bufpos;		// current position of cursor in buffer
	gpointer	myServer;
public:
	VashPanel();
	gchar	*name()		{ return("VashPanel");	}
	gchar	*typeName()	{ return("VashPanel");	}
//	void	write(char *str) { gdb->write(str); }
	void	setServer(gpointer s)	{ myServer = s; }
	int	getInsertPoint()	{ return(insertPoint);	}
	void	setInsertPoint(int pt)	{
		insertPoint = pt;
		gtk_text_set_point((GtkText *) theContentWidget,pt);
	}
	void	handleCtrlKey(GtkWidget *w,GdkEventKey *kev);
	void	handleKeyPress(GtkWidget *w,GdkEventKey *kev);
	void	insertChar(char ch);
	void	insertString(char *str);
	void	textFreeze()	{ gtk_text_freeze(GTK_TEXT(theContentWidget)); }
	void	textThaw()	{ gtk_text_thaw  (GTK_TEXT(theContentWidget)); }
	void	gotoEnd();
};
#endif	/*VASHPANEL_H*/
