/*
 * Copyright (C) 1999 Silicon Graphics, Inc.  All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance
 * with the express provisions of the GNU General Public License.  Patent
 * licenses, if any, provided herein do not apply to combinations of this
 * program with other product or programs, or any other product whatsoever.
 * This program is distributed without any warranty that the program is
 * delivered free of the rightful claim of any third person by way of
 * infringement or the like.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 */

#ifndef	CONNECTION_H
#define	CONNECTION_H

#include <string.h>
#include <unistd.h>
#include "input_queue.h"
#include "node.h"

extern unsigned int sendIPCMsg(	void *handle, char *cmd,gboolean atCompletion,
				InputEntryProc theFunc,gpointer cd);

class ConnectInfo {
private:
	int	attempt;	// what try are we on
public:
	ConnectInfo(char *host) {
			hostname  = strdup(host);
			handle    = NULL;
			node      = (Node*) NULL;
			connected = FALSE;
			theUserid   = NULL;
			thePassword = NULL;
		}
	int	makeConnection(char *,char *id = NULL, char *pw = NULL,
			       gboolean suppress = FALSE);
	gboolean connect(int reps = 5, char *id = NULL, char *pw = NULL, 
			 gboolean suppress = FALSE)	{
			attempt = 1;
			dialog = NULL;
			for (int i = 0; i < reps; i++) {
				if (makeConnection(hostname,id,pw,suppress)) {
					connected = TRUE;
					return(connected);
				}
				sleep(1);
				attempt++;
				if (dialog == NULL) break;	// cancelled
			}
			dialog = NULL;
			return(connected);
		}
	void	sendMsg(char *cmd,gboolean atCompletion,InputEntryProc theFunc,
			gpointer cd) {
			(void) sendIPCMsg(handle,cmd,atCompletion,theFunc,cd);
		}
	void	refreshNodeList();
	Node	*renderClusterNode(char *userid = NULL,char *pw = NULL);
	int	position;	// which position in the connection list
	char	*hostname;
	void	*handle;
	Node	*node;
	char	*theUserid;	// userid used to connect
	char	*thePassword;	// password used to connect
	gboolean connected;
	GtkWidget *dialog;	// the informational dialog that we used
};

extern ConnectInfo	*handleToConnectInfo(void *handle);
extern Node	*handleToRootNode(void *handle);
extern int	numClusters();

extern GSList	*theNodeList;

#endif	/*CONNECTION_H*/
