/*
 * Copyright (C) 2000 Silicon Graphics, Inc.  All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance
 * with the express provisions of the GNU General Public License.  Patent
 * licenses, if any, provided herein do not apply to combinations of this
 * program with other product or programs, or any other product whatsoever.
 * This program is distributed without any warranty that the program is
 * delivered free of the rightful claim of any third person by way of
 * infringement or the like.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 */
#ifndef DIALOGS_H
#define DIALOGS_H

extern GtkWidget *informational_dialog(gchar *message);
extern void	informational_dialog_update(GtkWidget *w,gchar *message);
extern void binary_dialog(gchar *msg,GtkSignalFunc yes_cb,GtkSignalFunc no_cb, 
			  gpointer clientData);
extern void get_textentry_dialog(gchar *msg,
			         void (*callback)(char *hostname,
						  gpointer clientData,
						  gpointer callData),
			         gpointer clientData,gchar *field_msg,
				 gchar *ok_string,
				 gchar *default_text = NULL);
extern void get_nodeinfo_dialog(gchar *msg,
                    		void (*callback)(void *handle,char *device,
						 char *pw,char *nodeid,char *ip,
						 gpointer clientData,
                                     		 gpointer callData),
                    		gpointer clientData);

extern void get_passwordentry_dialog(gchar *msg,
		         	     void (*callback)(char *id,char *pw,
						      char *pw2,
						      gpointer clientData,
				          	      gpointer callData),
				     char *default_userid,
				     char *pw2_msg,
				     char *group_msg,
		         	     gpointer clientData);

#endif	/*DIALOGS_H*/
