/*
 * Copyright (C) 1999 Silicon Graphics, Inc.  All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance
 * with the express provisions of the GNU General Public License.  Patent
 * licenses, if any, provided herein do not apply to combinations of this
 * program with other product or programs, or any other product whatsoever.
 * This program is distributed without any warranty that the program is
 * delivered free of the rightful claim of any third person by way of
 * infringement or the like.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 */

#ifndef	GTK_HACKS_H
#define	GTK_HACKS_H

/*
 *	gtk_tree_item_get_label() - return the label widget of a standard
 *				    gtktreeitem. This is useful in changing
 *				    the label string in an existing widget.
 */

extern GtkWidget	*gtk_tree_item_get_label(GtkWidget *w);

/*
 *	gtk_tree_item_new_with_clist() - 
 */

extern GtkWidget	*gtk_tree_item_new_with_clist(int cols);

/*
 *	gtk_tree_item_get_clist() - return the clist widget of a non-standard
 *				    gtktreeitem created by 
 *				    gtk_tree_item_new_with_clist(). 
 *				    This is useful in adding and changing
 *				    the stuff in an existing widget.
 */

extern GtkWidget	*gtk_tree_item_get_clist(GtkWidget *w);

extern GtkStyle *gtk_create_reverse_style();
extern void	gtk_set_style_recursively(GtkWidget *widget,gpointer data);

#define	GTK_WIDGET_INVISIBLE(wid)	\
		GTK_WIDGET_FLAGS(wid) = (GTK_WIDGET_FLAGS(wid) & ~GTK_VISIBLE) 
#endif	/*GTK_HACKS_H*/
