/*
 * Copyright (C) 1999 Silicon Graphics, Inc.  All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance
 * with the express provisions of the GNU General Public License.  Patent
 * licenses, if any, provided herein do not apply to combinations of this
 * program with other product or programs, or any other product whatsoever.
 * This program is distributed without any warranty that the program is
 * delivered free of the rightful claim of any third person by way of
 * infringement or the like.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 */

#ifndef	INPUT_QUEUE_H
#define	INPUT_QUEUE_H
/*
 *	InputEntry -	one entry for each input line, except for job
 *			control lines.
 */

typedef	struct _inputEntry {
	int	jobnum;
	char	*string;
	gpointer handle;	// pointer back to where it came from
	struct _inputEntry	*next;
} InputEntry;

extern void	newJobEntry(unsigned int jobNum,gboolean atCompletion,
            		    void (*theFunc)(InputEntry *data,gpointer clientD),
            		    gpointer cd);
extern char	*getNexxusData(void *handle);
extern int	countInputEntries(InputEntry *entry);
extern void	printInputEntries(InputEntry *entry,char *preface);
extern void	queueJobEntry(char *cmd, gboolean atCompletion,
              		      void (*theFunc)(InputEntry *data,gpointer clientD),
              		      gpointer cd);

typedef	void	(*InputEntryProc)(InputEntry*,gpointer);

#endif	/*INPUT_QUEUE_H*/
