/*
 * Copyright (C) 2000 Silicon Graphics, Inc.  All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance
 * with the express provisions of the GNU General Public License.  Patent
 * licenses, if any, provided herein do not apply to combinations of this
 * program with other product or programs, or any other product whatsoever.
 * This program is distributed without any warranty that the program is
 * delivered free of the rightful claim of any third person by way of
 * infringement or the like.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 */
/*
 * Author:      Dean Johnson (dtj@sgi.com)
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <gtk/gtk.h>
#include "GenericListPanel.h"
#include <assert.h>

GenericListPanel::GenericListPanel(PanelContainer * /*p*/)
{
	theBaseWidget = gtk_table_new(2 /*rows*/,1 /*cols*/,FALSE);
	show();

	GtkWidget *scrollw = gtk_scrolled_window_new((GtkAdjustment *) NULL,
						     (GtkAdjustment *) NULL);
	gtk_widget_show(scrollw);

	/*
	 *	Simple List File
	 */
	theContentWidget = (GtkWidget *) gtk_list_new();
	gtk_widget_show(theContentWidget);
	gtk_object_set_user_data(GTK_OBJECT(theContentWidget),this);

        gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(scrollw),
                                              theContentWidget);

        gtk_table_attach(GTK_TABLE(theBaseWidget),scrollw,0,1,0,1,
			 (enum GtkAttachOptions)(GTK_FILL|GTK_EXPAND), 
			 (enum GtkAttachOptions)(GTK_FILL|GTK_EXPAND),0,0);
	gtk_widget_show(theContentWidget);
}

int
GenericListPanel::interested(char * /*msgtype*/,gpointer /*data*/)
{
	return(0);
}

void
GenericListPanel::doMenu(GtkWidget *parent)
{
        Panel::doMenu(parent);          // put standard pieces in menu
        /*--------------------------*/
}
