/*
 * Copyright (C) 1999 Silicon Graphics, Inc.  All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance
 * with the express provisions of the GNU General Public License.  Patent
 * licenses, if any, provided herein do not apply to combinations of this
 * program with other product or programs, or any other product whatsoever.
 * This program is distributed without any warranty that the program is
 * delivered free of the rightful claim of any third person by way of
 * infringement or the like.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 */

#ifndef	PANEL_H
#define	PANEL_H
#include <stdio.h>
#include "Wobject.h"

class Panel : public Wobject {
private:
	gboolean self_destruct;
public:
	GSList	*listeners;	// for controllers only!
public:
	Panel();
	virtual ~Panel()	{ remove();		}
	gchar	*name()		{ return("Panel");	}
	gchar	*typeName()	{ return("Panel");	}
	void	setLabel(char *str);
	char 	*getLabel();
	virtual void	doMenu(GtkWidget *parent);
	void	raise();
	void	remove();
	void	setSelfDestruct(gboolean b = TRUE) { self_destruct = b; }
	gboolean	getSelfDestruct() { return(self_destruct);	}
};

#define	PANEL_ADD_MENU_ITEM(str,cb,cdata)				\
		menu_item = gtk_menu_item_new_with_label(str);		\
		gtk_signal_connect_object(GTK_OBJECT(menu_item), 	\
					  "activate",			\
			  		  GTK_SIGNAL_FUNC(cb),		\
					  (GtkObject *) cdata);		\
		gtk_menu_append(GTK_MENU(parent), menu_item);		\
		gtk_widget_show(menu_item)

#endif	/*PANEL_H*/
