/*
 * Copyright (C) 2000 Silicon Graphics, Inc.  All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
 * whether implied or otherwise, is limited to this program in accordance
 * with the express provisions of the GNU General Public License.  Patent
 * licenses, if any, provided herein do not apply to combinations of this
 * program with other product or programs, or any other product whatsoever.
 * This program is distributed without any warranty that the program is
 * delivered free of the rightful claim of any third person by way of
 * infringement or the like.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 */

#ifndef UTILS_H
#define UTILS_H

extern  GtkWidget	*_gsMI;
extern void		_gsUnselect(GtkWidget *,gchar *);

#define MENU_ITEM(par,str,cb,cd)					\
			_gsMI = gtk_menu_item_new_with_label(str);	\
			gtk_menu_append(GTK_MENU(par), _gsMI);		\
			gtk_signal_connect_object(GTK_OBJECT(_gsMI),	\
						  "activate",		\
						  GTK_SIGNAL_FUNC(cb),	\
						  (GtkObject *) cd);	\
			gtk_widget_set_sensitive(_gsMI,(cb == NULL)	\
						 ? FALSE : TRUE);	\
			gtk_widget_show(_gsMI)

#define MENU_SEP	_gsMI = gtk_menu_item_new();			\
			gtk_menu_append(GTK_MENU(p), _gsMI);		\
			gtk_widget_show(_gsMI)

#define NONSELECT(a)    gtk_signal_connect(GTK_OBJECT(a),"select",	\
					   GTK_SIGNAL_FUNC(_gsUnselect),\
					   (char *) "select")

#define SPINDRY()	while (gtk_events_pending()) gtk_main_iteration()

#endif  /*UTILS_H*/

