/*
 * This program is original work by San Mehat <nettwerk@valinux.com> .
 *
 * Copyright (C) 2001, San Mehat, Zac Sprackett and VA Linux Systems
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.  Redistributions
 * in binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * Neither the name of the VA Linux Systems, Inc. nor the names of its
 * contributors may be used to endorse or promote products derived from this
 * software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */


#ifndef _PROTOTYPES_H
#define _PROTOTYPES_H

#include <skel_slave_context.h>
#include <skel_module_harness.h>
#include <config.h>

/* skel_module_harness.c */

void node_destroy(NODELIST *node);

/* skel_slave_machine.c */
void slave_machine_start(int, int);

/* skel_slave_context.c */
int context_variable_set(char *, char *, char *);
int context_rename(char *, char *);
int context_send_ipc(char *, char *);
int context_destroy(char *);
CONTEXT *context_create(char *);;
CONTEXT *context_lookup(char *);
void context_destroy_all(void);
void context_init(void);
void context_notify_disconnection_all(int fd);

/* skel_slave.c */
int slave_assign_and_notify(NODELIST *);
int slave_remove_node(NODELIST *);
SLAVE *locate_available_slave(void);
int slave_notify_variable(NODELIST *, char *, char *);
int slave_notify_rename_node(NODELIST *, char *);
int slave_notify_del_node(NODELIST *);
int slave_notify_new_node(NODELIST *);
void slave_destroy(SLAVE *);
int slave_send(SLAVE *, char *);
int slave_deinit(void);
int slave_notify_disconnection(int client_fd);

/* skel_thread.c */
void *thread_start(void *);

#endif
