/*
 * This program is original work by San Mehat <nettwerk@valinux.com> .
 * This program is distributed under the GNU General Public License (GPL)
 * as outlined in the COPYING file.
 *
 * Copyright (C) 1999, San Mehat, and VA Linux Systems
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Notes: This is now a stand-alone run-time linkable module for VACM
 * Symbols beginning with 'api' denote a module harness required
 * symbol which should not be renamed. Renaming an 'api' symbol
 * will cause undesired operation, and program failure.
 *
 */

#include <stdio.h>
#include <sys/socket.h>
#include <signal.h>
#include <netinet/in.h>
#include <sys/un.h>
#include <stdlib.h>
#include <sys/time.h>
#include <netdb.h>
#include <fcntl.h>
#include <termios.h>
#include <unistd.h>
#include <vacmclient_api.h>

extern int		vacm_errno;
int main(argc, argv)
int		argc;
char	**argv;
{
	void	*handle;
	int		rc;
	char	*tmp;
	int		len;
	char	pkt[255];
	char	*response;
	int		resp_len;
	char	reading[255];

	if (argc !=4)
		{
		printf("Usage: %s <Nexxus> <Node> <Sensor Number>\n",argv[0]);
		exit(-1);
		}
	if (api_nexxus_connect(argv[1], "blum","frub",&handle)<0)
		{
		printf("vash: Unable to connect to '%s' (API errcode %d)\n",
						argv[1],
						vacm_errno);
		exit(-1);
		}
	if (api_nexxus_recv_ipc(handle, &tmp, &len)<0)
		{
		api_nexxus_perror("vash");
		exit(-1);
		}
	if (strncmp(tmp, "NEXXUS_READY",12))
		{
		printf("vash: Unknown nexxus init response '%s'\n",tmp);
		exit(-1);
		}
	free(tmp);
	sprintf(pkt, "EMP:READ_SENSOR:%s:%s",argv[2], argv[3]);
	while(1)
		{
		api_nexxus_send_ipc(handle, &pkt[0], (strlen(pkt)+1));
		while(1)
			{
			if ((rc=api_nexxus_wait_for_data(handle, &response, &resp_len, 10))<0)
				{
				printf("Nexxus timed out on reply\n");
				exit(-1);
				}
			if (strstr(response, "SENSOR"))
				strcpy(reading, response);
			if (strstr(response, "JOB_COMPLETE"))
				{
				printf("%s\n",reading);
				free(response);
				break;
				}
			free(response);
			}
		}
}
